import peggy from 'peggy';
const tspegjs: any = require('ts-pegjs');

export const GRAMMAR_FILE = 'grammar.pegjs';
export const GENERATED_PARSER = 'parser.ts';

export const generateParser = async (file: string, output: string) => {
  const grammar = await Bun.file(file).text();

  const parserSrc = peggy.generate(grammar, {
    format: 'commonjs',
    plugins: [tspegjs],
    output: 'source',
  });

  await Bun.write(output, parserSrc);
};
